# Button

Use Bootstrap’s custom button styles for actions in forms, dialogs, and more with support for multiple sizes, states, and more.


## Bootstrap Documentation
https://getbootstrap.com/docs/5.3/components/buttons/

## Available Properties:

#### HTML Tag (`html_tag`):
The `.btn` classes are designed to be used with the `<button>` element. However, you can also use these classes on `<a>` or `<input>` elements (though some browsers may apply a slightly different rendering).

Recommended to use: `button` | `input` | `a`

Default value: `button`

#### Color (`color`):
Bootstrap includes several predefined button styles, each serving its own semantic purpose, with a few extras thrown in for more control.
Recommended to use: `primary`, `secondary`, `success`, `danger`, `warning`, `info`, `dark`, `light`, `link`

Default value: `""`

#### Outline (`outline`):
In need of a button, but not the hefty background colors they bring? Replace the default modifier classes with the .btn-outline-* ones to remove all background images and colors on any button.

#### Size (`size`):
Bootstrap button size class
Recommended to use: `btn-sm`, `btn-lg`

#### Disabled (`disabled`):
Disabled button